Name:		tinycc
Version:	0.9.24
Release:	3%{?dist}
Summary:	Tiny C Compiler	
Group:		Development/Languages	
License:	GPLv2
URL:		http://bellard.org/tcc/
Source0:	http://download.savannah.nongnu.org/releases/tinycc/tcc-%{version}.tar.bz2
Patch0:		tinycc-remove-strip.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch:	i386
%description
Small C compiler, preprocessor, assembler and linker.
Able to compile c scripts.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package	static
Summary:	Static libraries for %{name}
Group:		Development/Libraries 
Requires:	%{name} = %{version}-%{release}

%description	static
The %{name}-devel package contains static libraries for
developing applications that use %{name}.

%prep
%setup -q -n tcc-%{version}
%patch0 -p1
#fix file encoding
iconv --from=ISO-8859-1 --to=UTF-8 Changelog > new
touch -r Changelog new
mv new Changelog

%build
%configure
make %{?_smp_mflags} tccdir=%{_libdir}/tinytcc 

%install
rm -rf $RPM_BUILD_ROOT
sed -i 's|%{_prefix}|%{buildroot}%{_prefix}|g' config.mak
make DESTDIR=$RPM_BUILD_ROOT tccdir=%{buildroot}%{_libdir}/tinycc INSTALL="install -p" install 

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING Changelog README TODO VERSION tcc-doc.html
%{_defaultdocdir}/*
%{_bindir}/*
%{_libdir}/%{name}/bcheck.o
%attr(644,root,root) %{_mandir}/man1/*.1*

%files devel
%defattr(-,root,root,-)
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/include
%{_includedir}/*
%{_libdir}/%{name}/include/*

%files static
%defattr(-,root,root,-)
%dir %{_libdir}/%{name}
%{_libdir}/*.a
%{_libdir}/%{name}/*.a


%changelog
* Wed Feb 18 2009 Brennan Ashton <bashton at, brennanashton.com> 0.9.24-3
- Changed package name to tinycc
- Moved bcheck.o from devel to main package

* Wed Nov 26 2008 Brennan Ashton <bashton at, brennanashton.com> 0.9.24-2
- Updated summary
- removed perl for sed

* Tue Nov 25 2008 Brennan Ashton <bashton at, brennanashton.com> 0.9.24-1
- Created spec file
